【PHP】includeやrequireが利用できないときの対処法

【PHP】includeやrequireが利用できないときの対処法です。

エラーログに「open_basedir restriction in effect. 」と言ったメッセージがあった場合、php.iniのopen_basedirでファイルの読み込み制限がされている可能性があります。

php.iniで以下のように記載されている場合、

以下のように変更してapacheを再起動すれば解決します。

カテゴリー: PHP

コメントを残す